## Name

glIsSync — determine if a name corresponds to a sync object

## C Specification

`GLboolean glIsSync(` | GLsync sync`)`;

## Parameters

`sync`

  Specifies a value that may be the name of a sync object.

## Description

`glIsSync` returns `GL_TRUE` if `sync` is currently the name of a sync object. If `sync` is not the name of a sync object, or if an error occurs, `glIsSync` returns `GL_FALSE`. Note that zero is not the name of a sync object.

## Notes

`glIsSync` is available only if the GL version is 3.2 or greater.

## See Also

glFenceSync, glWaitSync, glClientWaitSync, glDeleteSync

## Copyright

Copyright © 2010 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.